cancel
Showing results for 
Search instead for 
Did you mean: 

ORACLE INSTALL ERROR

SOLVED
Go to solution
Nobody's Hero
Valued Contributor

ORACLE INSTALL ERROR

Trying to install oracle 9i on a 64bit HPux system running 11.0. I get this error, looks like a lib link error. Anyone seen this before?

Linking wrap
cc -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o wrap -L/w01/app/oracle/product/9.2.0/plsql/lib/ -L/w01/app/oracle/product/9.2.0/lib/ /w01/app/or
acle/product/9.2.0/plsql/lib/s0plsw.o -lpsa9 -lpls9 -lplp9 /w01/app/oracle/product/9.2.0/lib/nautab.o /w01/app/oracle/product/9.2.0/lib/nae
et.o /w01/app/oracle/product/9.2.0/lib/naect.o /w01/app/oracle/product/9.2.0/lib/naedhs.o `cat /w01/app/oracle/product/9.2.0/lib/ldflags`
-lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /w01/app/oracle/product/9.2.0/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -
ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lwtc9 -lmm -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `ca
t /w01/app/oracle/product/9.2.0/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /w01/app/oracle/product/9.2.0/lib/l
dflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -ltrace9 -lnls9 -lcore9 -lnls9 -lco
re9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcor
e9 -lunls9 -lnls9 `cat /w01/app/oracle/product/9.2.0/lib/sysliblist` -lm -lpthread -lpls9 -lsql9 -lxsd9 /w01/app/oracle/product/9.2.0/li
b/libplc9.a -lpls9 -lclient9 -lnl9 -lnro9 -ln9 /w01/app/oracle/product/9.2.0/rdbms/lib/kpudfo.o -lmm -ltrace9 -lgeneric9 -lcommon9 -lsla
x9 -lcore9 -lunls9 -lsnls9 -lnls9 -lcore9 -lsql9 `cat /w01/app/oracle/product/9.2.0/lib/sysliblist` -lm -lpthread
ld: Can't find library or mismatched ABI for -llibnss_dns.1
Fatal error.
*** Error exit code 1
UNIX IS GOOD
2 REPLIES
John Palmer
Honored Contributor
Solution

Re: ORACLE INSTALL ERROR

According to metalink, the file libnss_dns.1 should be in /usr/lib/pa20_64.

If it's missing, you need to reinstall the fileset HPUXEng64RT from the CORE OS CD:
HPUXEng64RT -> NFS -> Runtime -> NFS-64SLIB

Regards,
John
Nobody's Hero
Valued Contributor

Re: ORACLE INSTALL ERROR

Thanks John,

I have no idea how you knew this. I've been checking case studies for an entire day. I really do appreciate your expertise. I am installing it now. I will award point after the install, to be sure I dont hit any snags.
10x
RPM
UNIX IS GOOD